Create Push Notification Configuration

POST
/api/v1/push-notification-configurations

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

projectId?string|null
providerId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/push-notification-configurations" \  -H "Content-Type: application/json" \  -d '{    "providerId": "string"  }'
{  "activeProviderId": "string",  "configuration": {},  "createdAt": "string",  "deletedAt": "string",  "enabled": true,  "id": "string",  "name": "string",  "projectId": "string",  "providerId": "string",  "pushProviderKey": "string",  "updatedAt": "string"}
{  "_tag": "Api/SdkValidationError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/PushNotificationConfigurationNotFoundError",  "message": "string"}
{  "_tag": "Api/PushNotificationConfigurationKeyUnavailableError",  "message": "string"}
{  "_tag": "Api/PushNotificationConfigurationServiceError",  "cause": "string"}